## ocaml-alcotest 1.9.1

=== Makefile ===
.PHONY: all test clean

all:
	dune build

test:
	dune build @runtest

test-js:
	dune build @runtest-js

clean:
	dune clean

format:
	dune build --auto-promote @fmt

## ocaml-alcotest 1.5.0

=== debian/changelog ===
ocaml-alcotest (1.5.0-3build2) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 25 Feb 2022 16:20:44 +0100

ocaml-alcotest (1.5.0-3build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jan 2022 10:36:47 +0100

ocaml-alcotest (1.5.0-3) unstable; urgency=medium

  * Fix compilation on bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Sat, 18 Dec 2021 01:56:45 +0100

ocaml-alcotest (1.5.0-2) unstable; urgency=medium

  * Add unlicense block in debian/copyright

 -- Stéphane Glondu <glondu@debian.org>  Fri, 03 Dec 2021 09:32:21 +0100

ocaml-alcotest (1.5.0-1) unstable; urgency=medium

  * Initial release (Closes: #1000849)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 01 Dec 2021 09:02:59 +0100

=== debian/control ===
Source: ocaml-alcotest
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml-nox,
 ocaml-dune,
 libfmt-ocaml-dev,
 libastring-ocaml-dev,
 libcmdliner-ocaml-dev,
 libre-ocaml-dev,
 libuutf-ocaml-dev,
 ocaml-odoc,
 dh-ocaml
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/mirage/alcotest
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-alcotest.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-alcotest

Package: libalcotest-ocaml-dev
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: lightweight and colourful test framework for OCaml
 Alcotest exposes simple interface to perform unit tests. It exposes a
 simple TESTABLE module type, a check function to assert test
 predicates and a run function to perform a list of unit -> unit test
 callbacks.
 .
 Alcotest provides a quiet and colorful output where only faulty runs
 are fully displayed at the end of the run (with the full logs ready
 to inspect), with a simple (yet expressive) query language to select
 the tests to run.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p alcotest

override_dh_auto_test:
	dune runtest -p alcotest

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR) alcotest
	rm -f $(DESTDIR)/usr/doc/*/LICENSE*

## ocaml-alcotest 1.6.0

=== debian/changelog ===
ocaml-alcotest (1.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump standards-version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 29 Jun 2022 11:47:40 +0200

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,12 @@
  ocaml-dune,
  libfmt-ocaml-dev,
  libastring-ocaml-dev,
- libcmdliner-ocaml-dev,
+ libcmdliner-ocaml-dev (>= 1.1.0),
  libre-ocaml-dev,
  libuutf-ocaml-dev,
  ocaml-odoc,
  dh-ocaml
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/mirage/alcotest
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-alcotest.git

=== debian/watch ===
version=4
https://github.com/mirage/alcotest/releases .*-v?([\d\.]+)\.tbz

## ocaml-alcotest 1.7.0

=== debian/changelog ===
ocaml-alcotest (1.7.0-3build2) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 Nov 2023 17:32:14 +0100

ocaml-alcotest (1.7.0-3build1) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 20 Aug 2023 09:32:28 +0200

ocaml-alcotest (1.7.0-3) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Use ocaml_dune DH buildsystem

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Aug 2023 07:32:11 +0200

ocaml-alcotest (1.7.0-2) unstable; urgency=medium

  * Fix FTBFS on bytecode architectures (Closes: #1040538)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 12 Jul 2023 11:25:54 +0200

ocaml-alcotest (1.7.0-1) unstable; urgency=medium

  * Team upload.
  * Fix d/watch.
  * New upstream release.
  * Drop patch (upstreamed).
  * Bump standards-version to 4.6.2.
  * Fix compilation with recent dune

 -- Julien Puydt <jpuydt@debian.org>  Thu, 06 Jul 2023 11:56:55 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  ocaml-dune,
  libfmt-ocaml-dev,
  libastring-ocaml-dev,
@@ -14,8 +14,8 @@
  libre-ocaml-dev,
  libuutf-ocaml-dev,
  ocaml-odoc,
- dh-ocaml
-Standards-Version: 4.6.1
+ dh-ocaml (>= 1.2)
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/mirage/alcotest
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-alcotest.git

## ocaml-alcotest 1.8.0

=== debian/changelog ===
ocaml-alcotest (1.8.0-2build7) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 31 Aug 2025 01:27:57 +0200

ocaml-alcotest (1.8.0-2build6) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 30 Aug 2025 09:47:41 +0200

ocaml-alcotest (1.8.0-2build5) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Jun 2025 05:20:53 +0200

ocaml-alcotest (1.8.0-2build4) questing; urgency=medium

  * Rebuild against latest ocaml libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 06 May 2025 07:41:35 -0400

ocaml-alcotest (1.8.0-2build3) plucky; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Mar 2025 06:06:58 +0100

ocaml-alcotest (1.8.0-2build2) plucky; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Mar 2025 18:39:13 +0100

ocaml-alcotest (1.8.0-2build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 22:55:08 +0100

ocaml-alcotest (1.8.0-2) unstable; urgency=medium

  * Remove ocaml-odoc from Build-Depends to break dependency cycle

 -- Stéphane Glondu <glondu@debian.org>  Tue, 28 Jan 2025 00:18:12 +0100

ocaml-alcotest (1.8.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Tue, 20 Aug 2024 08:34:45 +0200

ocaml-alcotest (1.7.0-4) unstable; urgency=medium

  * Support OCaml 5.x stacktraces in tests

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jun 2024 07:40:28 +0200

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,8 @@
  libcmdliner-ocaml-dev (>= 1.1.0),
  libre-ocaml-dev,
  libuutf-ocaml-dev,
- ocaml-odoc,
  dh-ocaml (>= 1.2)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/mirage/alcotest
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-alcotest.git

## ocaml-alcotest 1.9.1

=== debian/changelog ===
ocaml-alcotest (1.9.1-1) unstable; urgency=medium

  * New upstream release
  * Switch debian/watch to version 5
  * Bump Standards-Version to 4.7.2
  * Remove Rules-Requires-Root

 -- Stéphane Glondu <glondu@debian.org>  Fri, 17 Oct 2025 08:55:17 +0200

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,7 @@
  libre-ocaml-dev,
  libuutf-ocaml-dev,
  dh-ocaml (>= 1.2)
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/mirage/alcotest
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-alcotest.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-alcotest

=== debian/watch ===
Version: 5

Source: https://github.com/mirage/alcotest/tags
Matching-Pattern: .*/@ANY_VERSION@\.tar\.gz
